# Enum Class CLNChannelsLayoutDescriptionStandard

java.lang.Object
java.lang.Enum<CLNChannelsLayoutDescriptionStandard>
com.io7m.calino.api.CLNChannelsLayoutDescriptionStandard

All Implemented Interfaces:
  `CLNChannelsLayoutDescriptionType, CLNDescribableType, Serializable, Comparable<CLNChannelsLayoutDescriptionStandard>, Constable`

public enum CLNChannelsLayoutDescriptionStandard extends Enum<CLNChannelsLayoutDescriptionStandard> implements CLNChannelsLayoutDescriptionType
The set of standard channel layouts.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `A1_R5_G5_B5`
  The ARGB1555 format.
  `R16`
  The R16 format.
  `R16_G16`
  The RG16 format.
  `R16_G16_B16`
  The RGB16 format.
  `R16_G16_B16_A16`
  The RGBA16 format.
  `R32`
  The R32 format.
  `R32_G32`
  The RG32 format.
  `R32_G32_B32`
  The RGB32 format.
  `R32_G32_B32_A32`
  The RGBA32 format.
  `R4_G4_B4_A4`
  The RGBA4444 format.
  `R5_G6_B5`
  The RGB565 format.
  `R64`
  The R64 format.
  `R64_G64`
  The RG64 format.
  `R64_G64_B64`
  The RGB64 format.
  `R64_G64_B64_A64`
  The RGBA64 format.
  `R8`
  The R8 format.
  `R8_G8`
  The RG8 format.
  `R8_G8_B8`
  The RGB8 format.
  `R8_G8_B8_A8`
  The RGBA8 format.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CLNChannelsLayoutDescriptionStandard`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CLNChannelsLayoutDescriptionStandard[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface CLNChannelsLayoutDescriptionType

  `bitsTotal, channels, descriptor, packing, texelBlockAlignment`

- ## Enum Constant Details

  - ### R5_G6_B5

    public static final CLNChannelsLayoutDescriptionStandard R5_G6_B5
    The RGB565 format.

  - ### R4_G4_B4_A4

    public static final CLNChannelsLayoutDescriptionStandard R4_G4_B4_A4
    The RGBA4444 format.

  - ### A1_R5_G5_B5

    public static final CLNChannelsLayoutDescriptionStandard A1_R5_G5_B5
    The ARGB1555 format.

  - ### R8

    public static final CLNChannelsLayoutDescriptionStandard R8
    The R8 format.

  - ### R8_G8

    public static final CLNChannelsLayoutDescriptionStandard R8_G8
    The RG8 format.

  - ### R8_G8_B8

    public static final CLNChannelsLayoutDescriptionStandard R8_G8_B8
    The RGB8 format.

  - ### R8_G8_B8_A8

    public static final CLNChannelsLayoutDescriptionStandard R8_G8_B8_A8
    The RGBA8 format.

  - ### R16

    public static final CLNChannelsLayoutDescriptionStandard R16
    The R16 format.

  - ### R16_G16

    public static final CLNChannelsLayoutDescriptionStandard R16_G16
    The RG16 format.

  - ### R16_G16_B16

    public static final CLNChannelsLayoutDescriptionStandard R16_G16_B16
    The RGB16 format.

  - ### R16_G16_B16_A16

    public static final CLNChannelsLayoutDescriptionStandard R16_G16_B16_A16
    The RGBA16 format.

  - ### R32

    public static final CLNChannelsLayoutDescriptionStandard R32
    The R32 format.

  - ### R32_G32

    public static final CLNChannelsLayoutDescriptionStandard R32_G32
    The RG32 format.

  - ### R32_G32_B32

    public static final CLNChannelsLayoutDescriptionStandard R32_G32_B32
    The RGB32 format.

  - ### R32_G32_B32_A32

    public static final CLNChannelsLayoutDescriptionStandard R32_G32_B32_A32
    The RGBA32 format.

  - ### R64

    public static final CLNChannelsLayoutDescriptionStandard R64
    The R64 format.

  - ### R64_G64

    public static final CLNChannelsLayoutDescriptionStandard R64_G64
    The RG64 format.

  - ### R64_G64_B64

    public static final CLNChannelsLayoutDescriptionStandard R64_G64_B64
    The RGB64 format.

  - ### R64_G64_B64_A64

    public static final CLNChannelsLayoutDescriptionStandard R64_G64_B64_A64
    The RGBA64 format.

- ## Method Details

  - ### values

    public static CLNChannelsLayoutDescriptionStandard[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CLNChannelsLayoutDescriptionStandard valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null